Summary:	A simple plasmoid that controls amaroK 2 and Juk using D-Bus
Name:		plasma-applet-am4rok
Version: 	0.5
Release: 	%mkrel 4
Source0: 	http://am4rok.googlecode.com/files/plasma-am4rok-%version.tar.bz2
Patch0:     plasma-am4rok-0.5-kde42-API.patch
License: 	GPLv2+
Group: 		Graphical desktop/KDE
Url: 		http://code.google.com/p/am4rok/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	amarok >= 3:1.80
Suggests:	juk >= 3:4.0.70
BuildRequires: 	plasma-devel >= 4.0.70

%description 
This is a simple plasmoid that controls amaroK 2 and Juk using D-Bus.

%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/plasma_applet_am4rok.so
%{_kde_services}/plasma-applet-am4rok.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n plasma-am4rok
%patch0 -p1

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -

%clean
rm -rf %{buildroot}


%changelog
* Wed Dec 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-4mdv2009.1
+ Revision: 315301
- Adapt to  kde 4.2 API
- Rebuild against new KDE4

  + Funda Wang <fundawang@mandriva.org>
    - preparing for upcoming plasma movement

* Tue Oct 28 2008 Funda Wang <fundawang@mandriva.org> 0.5-3mdv2009.1
+ Revision: 297798
- suggest juk instead

* Thu Aug 14 2008 Funda Wang <fundawang@mandriva.org> 0.5-2mdv2009.0
+ Revision: 272137
- fix epoch requires

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.5-1mdv2009.0
+ Revision: 231994
- import plasma-applet-am4rok


